## ros-noetic-clear-costmap-recovery 1.17.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(clear_costmap_recovery)

find_package(catkin REQUIRED
        COMPONENTS
            cmake_modules
            costmap_2d
            nav_core
            pluginlib
            roscpp
            tf2_ros
        )

find_package(Eigen3 REQUIRED)
remove_definitions(-DDISABLE_LIBUSB-1.0)
include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
)
add_definitions(${EIGEN3_DEFINITIONS})

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES clear_costmap_recovery
    CATKIN_DEPENDS
        costmap_2d
        nav_core
        pluginlib
        roscpp
        tf2_ros
)

add_library(clear_costmap_recovery src/clear_costmap_recovery.cpp)
add_dependencies(clear_costmap_recovery ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(clear_costmap_recovery ${catkin_LIBRARIES})


## Configure Tests
if(CATKIN_ENABLE_TESTING)
  # Find package test dependencies
  find_package(rostest REQUIRED)

  # Add the test folder to the include directories
  include_directories(test)

  # Create targets for test executables
  add_rostest_gtest(clear_tester test/clear_tests.launch test/clear_tester.cpp)
  target_link_libraries(clear_tester clear_costmap_recovery ${GTEST_LIBRARIES})
endif()


install(TARGETS clear_costmap_recovery
       ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
       )

install(FILES ccr_plugin.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-noetic-clear-costmap-recovery (1.17.3-1focal) focal; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 05:00:00 -0000

ros-noetic-clear-costmap-recovery (1.17.2-1focal) focal; urgency=high

  * check if the layer is derived from costmap_2d::CostmapLayer (#1054 <https://github.com/ros-planning/navigation/issues/1054>)
    Co-authored-by: Dima Dorezyuk <mailto:dorezyuk@magazino.eu>
  * Add invert_area_to_clear to clear costmap recovery behavior (#1030 <https://github.com/ros-planning/navigation/issues/1030>)
  * Contributors: Dima Dorezyuk, G.Doisy

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 04:00:00 -0000

ros-noetic-clear-costmap-recovery (1.17.1-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-noetic-clear-costmap-recovery (1.17.0-1focal) focal; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 04:00:00 -0000

ros-noetic-clear-costmap-recovery (1.16.6-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 04:00:00 -0000

ros-noetic-clear-costmap-recovery (1.16.5-1focal) focal; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 04:00:00 -0000

ros-noetic-clear-costmap-recovery (1.16.4-1focal) focal; urgency=high

  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-noetic-clear-costmap-recovery (1.16.3-1focal) focal; urgency=high

  * Merge pull request #877 <https://github.com/ros-planning/navigation/issues/877> from SteveMacenski/layer_clear_area-melodic
    [melodic] moving clearing area method to costmap_layer so other applications can clear other types.
  * Merge branch 'melodic-devel' into layer_clear_area-melodic
  * Add force_updating and affected_maps parameters to tailor clear costmaps recovey (#838 <https://github.com/ros-planning/navigation/issues/838>)
    behavior
  * clear area in layer for melodic
  * Contributors: Jorge Santos Simón, Michael Ferguson, Steven Macenski, stevemacenski

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-noetic-clear-costmap-recovery (1.16.2-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 04:00:00 -0000

ros-noetic-clear-costmap-recovery (1.16.1-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 04:00:00 -0000

ros-noetic-clear-costmap-recovery (1.16.0-1focal) focal; urgency=high

  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * Contributors: Michael Ferguson, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 04:00:00 -0000

ros-noetic-clear-costmap-recovery (1.15.2-1focal) focal; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Rebase PRs from Indigo/Kinetic (#637 <https://github.com/ros-planning/navigation/issues/637>)
    * Respect planner_frequency intended behavior (#622 <https://github.com/ros-planning/navigation/issues/622>)
    * Only do a getRobotPose when no start pose is given (#628 <https://github.com/ros-planning/navigation/issues/628>)
    Omit the unnecessary call to getRobotPose when the start pose was
    already given, so that move_base can also generate a path in
    situations where getRobotPose would fail.
    This is actually to work around an issue of getRobotPose randomly
    failing.
    * Update gradient_path.cpp (#576 <https://github.com/ros-planning/navigation/issues/576>)
    * Update gradient_path.cpp
    * Update navfn.cpp
    * update to use non deprecated pluginlib macro (#630 <https://github.com/ros-planning/navigation/issues/630>)
    * update to use non deprecated pluginlib macro
    * multiline version as well
    * Print SDL error on IMG_Load failure in server_map (#631 <https://github.com/ros-planning/navigation/issues/631>)
  * Contributors: Aaron Hoy, David V. Lu!!, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 04:00:00 -0000

ros-noetic-clear-costmap-recovery (1.15.1-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-noetic-clear-costmap-recovery (1.15.0-1focal) focal; urgency=high

  * convert packages to format2
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * import only PCL common
  * remove GCC warnings
  * Contributors: Martin Günther, Mikael Arguedas, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-noetic-clear-costmap-recovery (1.14.0-1focal) focal; urgency=high





=== debian/control ===
Source: ros-noetic-clear-costmap-recovery
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-costmap-2d, ros-noetic-nav-core, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rostest <!nocheck>, ros-noetic-tf2-ros
Homepage: http://wiki.ros.org/clear_costmap_recovery
Standards-Version: 3.9.2

Package: ros-noetic-clear-costmap-recovery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-noetic-costmap-2d, ros-noetic-nav-core, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-tf2-ros
Description: This package provides a recovery behavior for the navigation stack that attempts to clear space by reverting the costmaps used by the navigation stack to the static map outside of a given area.
